﻿
Partial Public Class MainPhoneForm

    Private Sub BtnOpenPlayFile_Click(ByVal sender As Object, ByVal e As EventArgs) Handles BtnOpenPlayFile.Click
        Dim nLineNo As Integer = ListBoxLines.SelectedIndex
        m_objVaxUserAgent.PlayWaveOpen(nLineNo, EditPlayFileName.Text)
    End Sub

    Private Sub BtnPlayPause_Click(ByVal sender As Object, ByVal e As EventArgs) Handles BtnPlayPause.Click
        Dim nLineNo As Integer = ListBoxLines.SelectedIndex
        m_objVaxUserAgent.PlayWavePause(nLineNo)
    End Sub

    Private Sub BtnPlayStop_Click(ByVal sender As Object, ByVal e As EventArgs) Handles BtnPlayStop.Click
        Dim nLineNo As Integer = ListBoxLines.SelectedIndex
        m_objVaxUserAgent.PlayWaveStop(nLineNo)
    End Sub

    Private Sub BtnStartPlay_Click(ByVal sender As Object, ByVal e As EventArgs) Handles BtnStartPlay.Click
        Dim nLineNo As Integer = ListBoxLines.SelectedIndex
        m_objVaxUserAgent.PlayWaveStart(nLineNo, CheckPlayListen.Checked)
    End Sub

    Private Sub BtnPlayRewind_Click(ByVal sender As Object, ByVal e As EventArgs) Handles BtnPlayRewind.Click
        Dim nLineNo As Integer = ListBoxLines.SelectedIndex
        m_objVaxUserAgent.PlayWaveSkipTo(nLineNo, m_objVaxUserAgent.PlayWavePosition(nLineNo) - 1000)
    End Sub

    Private Sub BtnPlayForward_Click(ByVal sender As Object, ByVal e As EventArgs) Handles BtnPlayForward.Click
        Dim nLineNo As Integer = ListBoxLines.SelectedIndex
        m_objVaxUserAgent.PlayWaveSkipTo(nLineNo, m_objVaxUserAgent.PlayWavePosition(nLineNo) + 1000)
    End Sub

    Public Sub OnPlayWaveDone(ByVal nLineNo As Integer)
        AddToStatusLog("Line-" & Convert.ToString(nLineNo + 1) & ": Play wave done.")
    End Sub

End Class
