﻿
Partial Public Class MainPhoneForm

    Public Sub OnVaxLineOnline()

        Dim nTotalLine As Integer = m_objVaxUserAgent.GetTotalLine()
        FillListLines()
        TimerTick.Enabled = True

    End Sub

    Public Sub OnVaxLineOffline()

        TimerTick.Enabled = False
        ListBoxLines.Items.Clear()

    End Sub

    Private Sub FillListLines()

        Dim nTotalLine As Integer = m_objVaxUserAgent.GetTotalLine()

        ComboConsultLineA.Items.Clear()
        ComboConsultLineB.Items.Clear()

        For nLineNo As Integer = 0 To nTotalLine - 1
            ListBoxLines.Items.Add("Line-" & Convert.ToString(nLineNo + 1) & " : FREE")
            ComboConsultLineA.Items.Add("Line-" & Convert.ToString(nLineNo + 1))
            ComboConsultLineB.Items.Add("Line-" & Convert.ToString(nLineNo + 1))
        Next

        ListBoxLines.SelectedIndex = 0
        ComboConsultLineA.SelectedIndex = 0
        ComboConsultLineB.SelectedIndex = 1

    End Sub

    Private Sub ShowListBoxLineStatus(ByVal nLineNo As Integer, ByVal sStatus As String)
        ListBoxLines.Items(nLineNo) = "Line-" & Convert.ToString(nLineNo + 1) & " : " + sStatus
    End Sub

    '////////////////////////////////////////////////////////////////////////////////////////////////
    '////////////////////////////////////////////////////////////////////////////////////////////////

    Private Sub TimerTick_Tick(ByVal sender As Object, ByVal e As EventArgs) Handles TimerTick.Tick

        UpdateBtnStatus()

        Dim nTotalLine As Integer = m_objVaxUserAgent.GetTotalLine()

        For nLineNo As Integer = 0 To nTotalLine - 1
            Dim sItemText As String = ListBoxLines.Items(nLineNo).ToString()

            If m_objVaxUserAgent.IsLineBusy(nLineNo) Then

                If m_objVaxUserAgent.IsLinePlaying(nLineNo) Then

                    If sItemText.IndexOf("PLAYING") = -1 Then
                        ShowListBoxLineStatus(nLineNo, "PLAYING")
                    End If

                    Return
                End If

                If m_objVaxUserAgent.IsLineHold(nLineNo) Then

                    If sItemText.IndexOf("HOLD") = -1 Then
                        ShowListBoxLineStatus(nLineNo, "HOLD")
                    End If
                Else

                    If sItemText.IndexOf("BUSY") = -1 AndAlso sItemText.IndexOf("CONNECTING") = -1 Then
                        ShowListBoxLineStatus(nLineNo, "BUSY")
                    End If
                End If
            Else

                If sItemText.IndexOf("FREE") = -1 Then
                    ShowListBoxLineStatus(nLineNo, "FREE")
                End If
            End If
        Next

    End Sub

    '////////////////////////////////////////////////////////////////////////////////////////////////
    '////////////////////////////////////////////////////////////////////////////////////////////////

    Private Function FindLine() As Integer

        Dim nTotalLine As Integer = m_objVaxUserAgent.GetTotalLine()

        Dim nLineNo As Integer = ListBoxLines.SelectedIndex
        If nLineNo = -1 Then Return -1

        If m_objVaxUserAgent.IsLineBusy(nLineNo) = False Then
            Return nLineNo
        End If

        For nLineNo = 0 To nTotalLine - 1
            If m_objVaxUserAgent.IsLineBusy(nLineNo) = False Then Return nLineNo
        Next

        Return -1

    End Function

    '////////////////////////////////////////////////////////////////////////////////////////////////
    '////////////////////////////////////////////////////////////////////////////////////////////////

End Class
