﻿
Partial Public Class MainPhoneForm

    Private Sub BtnDial_Click(ByVal sender As Object, ByVal e As EventArgs) Handles BtnDial.Click

        Dim nLineNo As Integer = 0

        If BtnDial.Text = "Hangup" Then

            nLineNo = ListBoxLines.SelectedIndex
            m_objVaxUserAgent.DisconnectCall(nLineNo)

            BtnDial.Text = "Dial"
            BtnHold.Text = "Hold"

            Return

        End If

        If EditPhoneNo.Text = "" Then
            MessageBox.Show("Please enter a phone number.", "VaxVoIP SDK")
            Return
        End If

        nLineNo = FindLine()

        If nLineNo = -1 Then
            MessageBox.Show("No line is free")
            Return
        End If

        AdjustSecureMediaSRTP(True)
        cStorePhoneNo.AddPhoneNo(EditPhoneNo.Text)

        If Not m_objVaxUserAgent.DialCall(nLineNo, "", "", EditPhoneNo.Text) Then
            Return
        End If

        BtnDial.Text = "Hangup"

    End Sub

    '////////////////////////////////////////////////////////////////////////////////////////////////
    '////////////////////////////////////////////////////////////////////////////////////////////////

    Private Sub BtnHold_Click(ByVal sender As Object, ByVal e As EventArgs) Handles BtnHold.Click

        Dim nLineNo As Integer = ListBoxLines.SelectedIndex

        If BtnHold.Text = "UnHold" Then
            m_objVaxUserAgent.UnHoldLine(nLineNo)
            BtnHold.Text = "Hold"
            Return
        End If

        If Not m_objVaxUserAgent.HoldLine(nLineNo) Then
            Return
        End If

        BtnHold.Text = "UnHold"

    End Sub

    '////////////////////////////////////////////////////////////////////////////////////////////////
    '////////////////////////////////////////////////////////////////////////////////////////////////

    Public Sub OnConnectedCall(ByVal nLineNo As Integer)
        ShowListBoxLineStatus(nLineNo, "BUSY")
        AddToStatusLog("Line-" & Convert.ToString(nLineNo + 1) & ": Success to connect.")
    End Sub

    '////////////////////////////////////////////////////////////////////////////////////////////////
    '////////////////////////////////////////////////////////////////////////////////////////////////

    Public Sub OnHungupCall(ByVal nLineNo As Integer)

        BtnDial.Text = "Dial"
        BtnHold.Text = "Hold"

        AddToStatusLog("Line-" & Convert.ToString(nLineNo + 1) & ": Hung up.")

    End Sub

    '////////////////////////////////////////////////////////////////////////////////////////////////
    '////////////////////////////////////////////////////////////////////////////////////////////////

    Public Sub OnDialCallStarted(ByVal nLineNo As Integer, ByVal sCallerName As String, ByVal sCallerId As String, ByVal sDialNo As String)
        ShowListBoxLineStatus(nLineNo, "CONNECTING")
        AddToStatusLog("Line-" & Convert.ToString(nLineNo + 1) & ": Dialing.")
    End Sub

    Public Sub OnDialingCall(ByVal nLineNo As Integer, ByVal nStatusCode As Integer, ByVal sReasonPhrase As String)
        AddToStatusLog("Line-" & Convert.ToString(nLineNo + 1) & ": Response: " + sReasonPhrase)
    End Sub

    Public Sub OnDialCallFailed(ByVal nLineNo As Integer, ByVal nStatusCode As Integer, ByVal sReasonPhrase As String, ByVal sContact As String)
        AddToStatusLog("Line-" & Convert.ToString(nLineNo + 1) & ": Response: " + sReasonPhrase)
    End Sub

    '////////////////////////////////////////////////////////////////////////////////////////////////
    '////////////////////////////////////////////////////////////////////////////////////////////////

    Private Sub BtnDialPad1_Click(ByVal sender As Object, ByVal e As EventArgs) Handles BtnDialPad1.Click
        EditPhoneNo.Text += "1"
        m_objVaxUserAgent.DigitDTMF(ListBoxLines.SelectedIndex, "1")
    End Sub

    Private Sub BtnDialPad2_Click(ByVal sender As Object, ByVal e As EventArgs) Handles BtnDialPad2.Click
        EditPhoneNo.Text += "2"
        m_objVaxUserAgent.DigitDTMF(ListBoxLines.SelectedIndex, "2")
    End Sub

    '////////////////////////////////////////////////////////////////////////////////////////////////
    '////////////////////////////////////////////////////////////////////////////////////////////////

    Private Sub BtnDialPad3_Click(ByVal sender As Object, ByVal e As EventArgs) Handles BtnDialPad3.Click
        EditPhoneNo.Text += "3"
        m_objVaxUserAgent.DigitDTMF(ListBoxLines.SelectedIndex, "3")
    End Sub

    Private Sub BtnDialPad4_Click(ByVal sender As Object, ByVal e As EventArgs) Handles BtnDialPad4.Click
        EditPhoneNo.Text += "4"
        m_objVaxUserAgent.DigitDTMF(ListBoxLines.SelectedIndex, "4")
    End Sub

    '////////////////////////////////////////////////////////////////////////////////////////////////
    '////////////////////////////////////////////////////////////////////////////////////////////////

    Private Sub BtnDialPad5_Click(ByVal sender As Object, ByVal e As EventArgs) Handles BtnDialPad5.Click
        EditPhoneNo.Text += "5"
        m_objVaxUserAgent.DigitDTMF(ListBoxLines.SelectedIndex, "5")
    End Sub

    Private Sub BtnDialPad6_Click(ByVal sender As Object, ByVal e As EventArgs) Handles BtnDialPad6.Click
        EditPhoneNo.Text += "6"
        m_objVaxUserAgent.DigitDTMF(ListBoxLines.SelectedIndex, "6")
    End Sub

    '////////////////////////////////////////////////////////////////////////////////////////////////
    '////////////////////////////////////////////////////////////////////////////////////////////////

    Private Sub BtnDialPad7_Click(ByVal sender As Object, ByVal e As EventArgs) Handles BtnDialPad7.Click
        EditPhoneNo.Text += "7"
        m_objVaxUserAgent.DigitDTMF(ListBoxLines.SelectedIndex, "7")
    End Sub

    Private Sub BtnDialPad8_Click(ByVal sender As Object, ByVal e As EventArgs) Handles BtnDialPad8.Click
        EditPhoneNo.Text += "8"
        m_objVaxUserAgent.DigitDTMF(ListBoxLines.SelectedIndex, "8")
    End Sub

    '////////////////////////////////////////////////////////////////////////////////////////////////
    '////////////////////////////////////////////////////////////////////////////////////////////////

    Private Sub BtnDialPad9_Click(ByVal sender As Object, ByVal e As EventArgs) Handles BtnDialPad9.Click
        EditPhoneNo.Text += "9"
        m_objVaxUserAgent.DigitDTMF(ListBoxLines.SelectedIndex, "9")
    End Sub

    Private Sub BtnDialPad0_Click(ByVal sender As Object, ByVal e As EventArgs) Handles BtnDialPad0.Click
        EditPhoneNo.Text += "0"
        m_objVaxUserAgent.DigitDTMF(ListBoxLines.SelectedIndex, "0")
    End Sub

    '////////////////////////////////////////////////////////////////////////////////////////////////
    '////////////////////////////////////////////////////////////////////////////////////////////////

    Private Sub BtnDialPadStar_Click(ByVal sender As Object, ByVal e As EventArgs) Handles BtnDialPadStar.Click
        EditPhoneNo.Text += "*"
        m_objVaxUserAgent.DigitDTMF(ListBoxLines.SelectedIndex, "*")
    End Sub

    Private Sub BtnDialPadNo_Click(ByVal sender As Object, ByVal e As EventArgs) Handles BtnDialPadNo.Click
        EditPhoneNo.Text += "#"
        m_objVaxUserAgent.DigitDTMF(ListBoxLines.SelectedIndex, "#")
    End Sub

    '////////////////////////////////////////////////////////////////////////////////////////////////
    '////////////////////////////////////////////////////////////////////////////////////////////////

End Class
