﻿Public Class MainVideoForm

    Private m_objVaxUserAgent As cVaxSIPUserAgentExCOM

    Public Sub New(ByRef objVaxUserAgent As cVaxSIPUserAgentExCOM)
        m_objVaxUserAgent = objVaxUserAgent
        InitializeComponent()
        CheckBoxActivate.Checked = True
    End Sub

    Public Sub OnVaxOnline()
        ActivateVideoPreview()
    End Sub

    Public Sub OnVaxOffline()
        VaxVideoPreview.DisplayClose()
    End Sub

    Private Sub ActivateVideoPreview()
        If CheckBoxActivate.Checked = True Then
            VaxVideoPreview.DisplayOpen()
            m_objVaxUserAgent.ActivateVideoDevice(True)
        Else
            VaxVideoPreview.DisplayClose()
            m_objVaxUserAgent.CloseVideoDev()
        End If
    End Sub

    Private Sub CheckBoxActivate_Click(ByVal sender As Object, ByVal e As EventArgs) Handles CheckBoxActivate.Click
        ActivateVideoPreview()
    End Sub

    Public Sub OnVideoRemoteStarted(ByVal nLineNo As Integer)
        If nLineNo = 0 Then VaxVideoScreen1.DisplayOpen()
        If nLineNo = 1 Then VaxVideoScreen2.DisplayOpen()
        If nLineNo = 2 Then VaxVideoScreen3.DisplayOpen()
        If nLineNo = 3 Then VaxVideoScreen4.DisplayOpen()
        If nLineNo = 4 Then VaxVideoScreen5.DisplayOpen()
    End Sub

    Public Sub OnVideoRemoteEnded(ByVal nLineNo As Integer)
        If nLineNo = 0 Then VaxVideoScreen1.DisplayClose()
        If nLineNo = 1 Then VaxVideoScreen2.DisplayClose()
        If nLineNo = 2 Then VaxVideoScreen3.DisplayClose()
        If nLineNo = 3 Then VaxVideoScreen4.DisplayClose()
        If nLineNo = 4 Then VaxVideoScreen5.DisplayClose()
    End Sub

    Public Sub OnVideoRemoteFrameRGB(ByVal nLineNo As Integer, ByVal lFrameRGB As Long, ByVal nFrameSize As Integer, ByVal nFrameWidth As Integer, ByVal nFrameHeight As Integer)
        If nLineNo = 0 Then VaxVideoScreen1.DisplayFrameRGB(CULng(lFrameRGB), nFrameSize, nFrameWidth, nFrameHeight)
        If nLineNo = 1 Then VaxVideoScreen2.DisplayFrameRGB(CULng(lFrameRGB), nFrameSize, nFrameWidth, nFrameHeight)
        If nLineNo = 2 Then VaxVideoScreen3.DisplayFrameRGB(CULng(lFrameRGB), nFrameSize, nFrameWidth, nFrameHeight)
        If nLineNo = 3 Then VaxVideoScreen4.DisplayFrameRGB(CULng(lFrameRGB), nFrameSize, nFrameWidth, nFrameHeight)
        If nLineNo = 4 Then VaxVideoScreen5.DisplayFrameRGB(CULng(lFrameRGB), nFrameSize, nFrameWidth, nFrameHeight)
    End Sub

    Public Sub OnVideoDeviceFrameRGB(ByVal nDeviceId As Integer, ByVal lFrameRGB As Long, ByVal nFrameSize As Integer, ByVal nFrameWidth As Integer, ByVal nFrameHeight As Integer)
        VaxVideoPreview.DisplayFrameRGB(CULng(lFrameRGB), nFrameSize, nFrameWidth, nFrameHeight)
    End Sub
End Class